%% Change the component's first letter if necessary
function cmp=changeComp(cmp,newsamprate)
    
    if length(cmp) ~= 3; return; end
    % Very low frequencies get the same name (makes no sense for SP insts)
    if newsamprate <10
        if newsamprate>1.5,   cmp(1)='M';     % Mid Period:                   >1 to <10 sps
        elseif newsamprate>.5,  cmp(1)='L';   % Long Period:                 ~1 sps
        elseif newsamprate>.05, cmp(1)='V';   % Very Long Period:            ~0.1 sps
        elseif newsamprate>=.001,cmp(1)='U';  % Ultra Long Period:           ~0.01 sps
        elseif newsamprate>=.0001,cmp(1)='R'; % Extremely Long Period:        >=0.0001   to <0.001
        elseif newsamprate>=.0001,cmp(1)='P'; % On the order of 0.1 to 1 day: >=0.00001  to <0.0001
        elseif newsamprate>=.0001,cmp(1)='T'; % On the order of 1 to 10 days: >=0.000001 to <0.00001
        else cmp(1)='Q';                      % Greater than 10 days:         <0.000001
        end
    else
        if ( cmp(1)=='G' || cmp(1)=='D' || cmp(1)=='E'|| cmp(1)=='S' )
            % Short period instrument...
            if newsamprate>=1000,    cmp(1)='G'; %                         >=1000 to <5000 sps
            elseif newsamprate>=250, cmp(1)='D'; %                         >=250  to <1000 sps
            elseif newsamprate>=80,  cmp(1)='E'; % Extremely Short Period: >=80 to <250 sps
            else cmp(1)='S';                     % Short Period:           >=10 to <80 sps
            end
        else
            % Assume it's a Broadband instrument...
            if newsamprate>=1000,    cmp(1)='F'; %                  >=1000 to <5000 sps
            elseif newsamprate>=250, cmp(1)='C'; %                  >=250  to <1000 sps
            elseif newsamprate>=80,  cmp(1)='H'; % High Broad Band: >=80   to <250 sps
            else cmp(1)='B';                     % Broad Band:      >=10   to <80 sps
            end
        end
    end
end

