function [tdata,dfile] = readREFTEK(dfile,startAt,readLen)
% READREFTEK Read RefTek seismic data into an ts_data object
% idata = readREFTEK(theFile) reads a RefTek file into an ts_data object
% idata = readREFTEK(theFile,startAt,readLen) does the same
%
%	theFile can be a filename or an ts_file object with the filename
%		parameter set to the correct value
%	Doesn't use startAt or readLen, leaves that to calling function
%       ts_file.read()
%
% A RefTex file contains multiple 1024-byte "packets".  AnyPlot assumes the data packets (DT)
%	are sequential and complains if they are not.

% W Crawford 6/2005

%%%%%%%% START ALL ts_file.read* WITH THESE LINES
ts_debug(1,Starting'); tic;
% if ~exist('startAt','var'); startAt=0; end
% if ~exist('readLen','var'); readLen=0; end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if verbose, disp(['Reading RefTek file ' dfile.filename]); end
[tdata, dfile] = readReftek(dfile);	% Read in the whole file

return;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Read in the whole file
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [tdata, dfile] = readReftek(dfile)
filename = get(dfile,'filename');
fid = fopen(filename,'rb','ieee-be');
%fid = fopen(filename,'rb');
if (fid == -1),
	tdata=[];
	disp(sprintf('====Couldn''t open file %s====',filename));
	return;
end

while ((block=rd_pack(fid)) ~= EOF),
	switch(block(1:2)),
		case 'DT',
			tdata = proc_dt(tdata,block);
		case 'EH',
			tdata = proc_eh(tdata,block);
		case 'EH',
			tdata = proc_eh(tdata,block);
		case 'EH',
			tdata = proc_eh(tdata,block);
		case 'EH',
			tdata = proc_eh(tdata,block);
		case 'EH',
			tdata = proc_eh(tdata,block);
		case 'EH',
			tdata = proc_eh(tdata,block);
		case 'EH',
			tdata = proc_eh(tdata,block);
		case 'EH',
			tdata = proc_eh(tdata,block);
		otherwise
			warning(['Unknown packet type: ' block(1:2)]);
	end
end

function rd_pack(fid),
block = fread(fid,'char',1024);
return;

function tdata = proc_dt(tdata,block)
	numsamps = 
