% Calculates the width and broadband rejection of the TiSKit tapers.

samprate = 100;
time = 0:1/samprate:10000/samprate;
sinefreq = .3;
tdata = ts_data(0.5*sin(2*pi*sinefreq*time),samprate);
figure(1); plot(tdata);
sdata_onepi = tdata.calcSpectra('taper','prol1pi','windowlength',8192/samprate);
sdata_fourpi = tdata.calcSpectra('taper','prol4pi','windowlength',8192/samprate);
figure(2); clf
	h(1)=semilogx(sdata_onepi.freqs,20*log10(sdata_onepi.spectdata),'r');
	hold on
	h(2)=semilogx(sdata_fourpi.freqs,20*log10(sdata_fourpi.spectdata),'b--');
	hold off
	legend(h,'1pi','4pi');
	ylabel('PSD (dB)','Interpreter','Latex');    % Latex avoids backwards text
	xlabel('Frequency (Hz)');
axis([.01 50 -240 30])
