function tdata=readAHdata(whichData)
%READAHDATA read and plot data in AH format, using TiSKit
% Usage: readAHdata(whichdata)
%
%		1:	TAM microbarometer data (AH format)
%		2:  TAM Z vertical data (AH format)

plotAll=1;
if exist('whichData','var'), plotAll=0;
else whichData=2;
    
end

switch whichData,  % Concatenates data in several AH files
    case 1,
        for day = 135:137,
            temp = read(ts_file(sprintf('datafiles/TAM_Zmib96%03d.ah',day),'AH'));
            if exist('tdata','var'),
                tdata = tdata+temp;
            else
                tdata = temp;
            end
        end
        % Convert pressure units to Pascals
        filtp   = tdata.channel(1).metadata.response;
        tdata.channel(1).metadata.response= ts_response('PZ','Pa','du',filtp.gain/1e5,filtp.poles,[0 0]);
    case 2,
        tdata =  read(ts_file(fullfile('datafiles','TAM_ZVLP961320001.ah'),'AH'));
        tdata.channel(1).metadata.response=ts_response('PZ','m/s','du',1,[],[]);
    otherwise,
        error('Unknown');
end

if plotAll,
    figure(1); clf; tsplot(tdata);
    
    pause(5);	% Gives tsplot time to start up (otherwise it can hurt the other windows)
    sdata=tdata.calcSpectra();
    figure(2); clf; plot(sdata);
    if tdata.nChannels>1,
        figure(3); clf;
        plotcoher(sdata,'fontsize',8);
    end
end
