function tdata=readWEBBdata()
%READWEBBDATA reads and plots WEBB data using AnyPlot
% Usage: tdata=readWEBBdata()
% 
%       Data is Seafloor broadband data from S2BCold.wbb
plotAll=1,
% Seafloor compliance data (Cheat voltage comes in range in record 6 (36 hours in))
datafile = setColdDogParms();
datafile.filename='datafiles/S2BCold.wbb';
datafile.readchans=[1 2];          % Only read in channels 1 and 2
tdata=read(datafile,60*3600,4*3600);			% Read 4 hours, starting at 60 hours in

if plotAll,
    % Plot results: in tsplot you can click forward to see data running
    figure(1); clf; tsplot(tdata);
    
    pause(5);	% Gives time for tsplot to start up (otherwise it can hurt the other windows)
    sdata=tdata.calcSpectra();
    figure(2); clf; plot(sdata);
    if tdata.nChannels > 1,
        figure(3); clf;
        plotcoher(sdata,'fontsize',8);
    end
end

