%% ts_figureproperties_subplot
% Parameters for individual plots within figures. Used by <ts_figureproperties_help.html |ts_figureproperties|>
%
%% Properties:
%     grid        - Plot Grid: 'x','y','xy','off'       ['xy']
%     xmin        - Minimum x-axis value                [NaN]
%     xmax        - Maximum x-axis value                [NaN]
%     ymin        - Minimum y-axis value                [NaN]
%     ymax        - Maximum y-axis value                [NaN]
%     xyminmax    - READONLY, returns [xmin xmax ymin ymax]
%     linetype    - Linetype                            ['-']
%     marker      - Symbol type                         ['none']
%     yrange      - Y range                             [NaN]
%     removegain  - Remove instrument gain?             ['off']
%     demultiplex - Demultiplex  signal into            [0]
%                               X multiplexed channels
%                               (0=do not demultiplex)
%
%% Methods:
%     subsasgn   - Allows assigning a value to multiple
%                  instances using parentheses notation
%
%% Examples
obj=ts_figureproperties
%%
obj.nSubplots=4;
%obj.subplot.xmin=3;             % Should give error
%%
%obj.subplot(:).xmin=8; obj
%%
obj.subplot(1:2).xmax=6000; obj
