%% ts_seqlist
% Sequential list of address offsets
%
%% Description
% Allows you to write sequential integer lists as strings
% in standard matlab format, e.g. '1:1000 2000:5000' etcetera
%
% Used by ts_data.calcSpectra to allow the user to specify bad data
% sections not to use.  It's also supposed to be used by the time series
% plot functions, so that they can highlight excluded sections, but I
% never finished this part.
%
% This class may be badly written, has no overflow protection(?)", doesn't
% limit itself to integers
%
%% Properties:
%    start - READONLY: Array of starting values
%    endat - READONLY: Array of ending values
%
%% Methods:
%  ts_seqlist - Creator
%  addbuffer  - Increases the length of ts_seqlist windows by a fixed amount
%  and        - '&': Returns a list with only the common values in 2 lists       
%  mrdivide   - '/': Divide all values in a list by a constant
%  mtimes     - '*': Multiplies all values in a list by a constant    
%  plus       - '+': Adds a constant to values in a list
%  or         - '|': Returns a list with all values in 2 lists
%  not        - '~': Returns a list of all addresses NOT in the provided list   
%
%% Examples
a=ts_seqlist('1:1000 3000:5000')
a+500
a/500
~a
a.addbuffer(100)
%%
b=ts_seqlist('500:1500 4000:4100')
a & b
a | b

