%% ts_xferfun_channel
% Transfer function channel
% 
%% Description
% The transfer function is the LINEAR relation between two data channels.
% It is calculated from the spectral levels, the coherency, and an assumption
% of which channel contains most of the uncorrelated noise.
% It can be used to remove a signal or noise recorded on one channel from another channel
% The transfer function is defined as the Response channel divided by the driving channel
% in the complex frequency domain.
% The "gooddata" parameter is important for defining where the transfer function is valable
% (there exists a linear relation between the two channels)
%
%% Properties:
%  drivechan   - Driving Channel                           (integer)
%  respchan    - Response Channel                          (integer)
%  data        - Transfer function                         (numeric vector)
%  uncertainty - Transfer function uncertainty             (numeric vector)
%  gooddata    - 1 for good XF, 0 for not.  Used in        (numeric vector???)
%                ts_spectra.clean and ts_data.blahblah...
%  name        - Usually RespChanName / DriveChanName      (string)
%  units       - RespChanUnits/DriveChanUnits              (string)
%
%% Methods:
%    ts_xferfun_channel - Creator
