function fig = tsp_TimeGUI()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% WCC added
ts_debug(1,'Starting...');

load tsp_TimeGUI    % Just contains mat0, the colormap???

% 'ButtonDownFcn','get(gcbf,''CurrentPoint'');',	% was first line of figure(...  I don't think it's needed

%% FIGURE
% WCC added to let use an already existing figure
h0 = figure( gcf); clf reset;
% CHANGE THE FIGURE TO FIT THE FIRST SCREEN
temp = get(0,'MonitorPositions');
fpos = temp(end,:);
fpos = [fpos(1)+fpos(3)*.03 fpos(2)+fpos(4)*.03 fpos(3)*.9 fpos(4)*.9];
%
defaultBackground=get(0,'defaultUicontrolBackgroundColor');
set( gcf,...
	'Colormap',mat0, ...
	'CreateFcn','global TSPLOT_VARIABLES TSPLOT_DATA TSPLOT_SPECTRA TSPLOT_XFERFUN', ...
	'Color',defaultBackground, ...
    'Name','tsplot:Time', ...
	'Position',fpos, ...
	'ResizeFcn','tsp_plottime', ...
	'Tag','tsp_TimeGUI');
%% DATA MENU
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','callback', ...
	'Label','tsp_Data', ...
	'Tag','DataMenu');
h2 = uimenu('Parent',h1, ...
	'Label','Save as...', ...
	'Tag','DataSave as...1');
uimenu('Parent',h2, ...
	'Label','SAC', ...
	'Callback','tsp_TimeGUIMod(''saveSAC'');', ...
	'Tag','DataSave as...SAC1');
uimenu('Parent',h2, ...
	'Label','ASCII', ...
	'Callback','tsp_TimeGUIMod(''saveASCII'');', ...
	'Tag','DataSave as...ASCII1');
h2 = uimenu('Parent',h1, ...
	'Label','Datafiles', ...
	'Tag','tsp_DataDatafile');
uimenu('Parent',h2, ...
	'Callback','tsp_TimeGUIMod(''addchange_dfile'');', ...
	'Label','Add/Change', ...
	'Tag','tsp_DataDatafilesAddChange');
uimenu('Parent',h2, ...
	'Callback','tsp_TimeGUIMod(''remove_dfile'');', ...
	'Label','Remove', ...
	'Tag','tsp_DataDatafilesRemove');
uimenu('Parent',h1, ...
	'Accelerator','F', ...
	'Callback','tsp_TimeGUIMod(''filterdata'');', ...
	'Label','Filter', ...
	'Separator','on', ...
	'Tag','Datauimenu2');
%% DISPLAY MENU
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','callback', ...
	'Label','tsp_Display', ...
	'Tag','uimenu1');
uimenu('Parent',h1, ...
	'Callback','tsp_TimeGUIMod(''showraw'');', ...
	'Checked','on', ...
	'Label','Raw', ...
	'Tag','MenuShowRaw');
uimenu('Parent',h1, ...
	'Callback','tsp_TimeGUIMod(''showfiltered'');', ...
	'Enable','off', ...
	'Label','Filtered', ...
	'Tag','MenuShowFiltered');
uimenu('Parent',h1, ...
	'Callback','tsp_TimeGUIMod(''removegain'',get(gcbo,''Checked''));', ...
	'HandleVisibility','callback', ...
	'Label','Gain Correct', ...
	'Separator','on', ...
	'Tag','MenuGainCorrect');
uimenu('Parent',h1, ...
	'Label','Change Decimation', ...
	'Callback','tsp_TimeGUIMod(''changedecimate'');', ...
	'Tag','DataDecimate1');
%h2 = uimenu('Parent',h1, ...
%	'Accelerator','O', ...
%	'Label','Overlay', ...
%	'Tag','Datauimenu1');
uimenu('Parent',h1, ...
	'Accelerator','A', ...
	'Label','Align Times', ...
	'Tag','DataAlignTimes1');
h2 = uimenu('Parent',h1, ...
	'Label','Information', ...
	'Tag','Displayuimenu5');
uimenu('Parent',h2, ...
	'Callback','tsp_TimeGUIMod(''displayDatafiles'');', ...
	'Label','Datafiles', ...
	'Tag','DisplayInformationuimenu1');
uimenu('Parent',h2, ...
	'Callback','tsp_TimeGUIMod(''displayTimedata'');', ...
	'Label','Timedata', ...
	'Tag','DisplayInformationuimenu2');
% MAKE CALCULATE MENU
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','callback', ...
	'Label','tsp_Calculate', ...
	'Tag','uimenu2');
uimenu('Parent',h1, ...
	'Accelerator','M', ...
	'Callback','tsp_TimeGUIMod(''calcspect'');', ...
	'Label','Spectra', ...
	'Tag','Calculateuimenu1');
yLine1 = 4;
yLine2 = 29;
yLine3 = 49;
xStartTxt = 55;
xLenTxt = 222;
xPt3 = 365;
%xYCtrls = 400;
% Headers for input information
%% TOP ROW: TEXT
mkStatTxt([xStartTxt yLine3 150 15],'Start', 11,h0);
mkStatTxt([xLenTxt yLine3 80 15],  'Length (secs)',11,h0);
mkStatTxt([xPt3 yLine3 320 15],  'Comments',11,h0);
% COMMENT LINE (top left)
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontName','Helvetica', ...
	'FontSize',10, ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[xPt3 yLine2 320 20], ...
	'String','', ...
    'TooltipString',sprintf('Enter comments, information may also\nbe added by the program'), ...
	'Style','edit', ...
	'Tag','GUIComments');
%% SECOND ROW: DATA INFORMATION
% Read Data start time: the word "Data"
uicontrol('Parent',h0, ...
	'Units','points', ...
	'HandleVisibility','off', ...
	'BackgroundColor',[.8 .8 .8], ...
	'HorizontalAlignment','right', ...
	'Position',[1 yLine2-4 29 20], ...
	'String','Data', ...
	'Style','text', ...
	'Tag','StaticText1');
% Read Data start time: left arrow
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_TimeGUIMod(''readRecord'',''prev'');', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'HandleVisibility','off', ...
	'Position',[xStartTxt-23 yLine2 20 20], ...
	'String','<', ...
	'Tag','Pushbutton1');
% Read Data start time: text
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',11, ...
	'Callback','tsp_TimeGUIMod(''readData'',get(gcbo,''String''));', ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
    'TooltipString','Enter seconds from start of file, or absolute time', ...
	'Position',[xStartTxt yLine2 133 20], ...
	'Style','edit', ...
	'Tag','EditRecord');
% Read Data start time: right arrow
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_TimeGUIMod(''readRecord'',''next'');', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'HandleVisibility','off', ...
	'Position',[xStartTxt+136 yLine2 20 20], ...
	'String','>', ...
	'Tag','Pushbutton1');
% Read Data Length : text
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',11, ...
	'Callback','tsp_TimeGUIMod(''changeDataLength'',get(gcbo,''String''));', ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
    'TooltipString','Enter seconds', ...
	'Position',[xLenTxt yLine2 133 20], ...
	'Style','edit', ...
	'Tag','DataLength');
%% THIRD ROW: PLOT DATA INFORMATION
% Text: Plot
uicontrol('Parent',h0, ...
	'Units','points', ...
	'HandleVisibility','off', ...
	'BackgroundColor',[.8 .8 .8], ...
	'HorizontalAlignment','right', ...
	'Position',[1 yLine1-4 29 20], ...
	'String','Plot', ...
	'Style','text', ...
	'Tag','StaticText1');
% Plot Start Left Arrow
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_TimeGUIMod(''setAddress'',''prev'');', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'HandleVisibility','off', ...
	'Position',[xStartTxt-23 yLine1 20 20], ...
	'String','<', ...
	'Tag','Pushbutton1');
% Plot Start Text
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',10, ...
	'Callback','tsp_TimeGUIMod(''setAddress'',get(gcbo,''String''));', ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[xStartTxt yLine1 133 20], ...
    'TooltipString','Enter seconds from start of file, or absolute time', ...
	'Style','edit', ...
	'Tag','EditAddress');
% Plot Start Right Arrow
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_TimeGUIMod(''setAddress'',''next'');', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'HandleVisibility','off', ...
	'Position',[xStartTxt+136 yLine1 20 20], ...
	'String','>', ...
	'Tag','Pushbutton1');
% Plot Length '/2' Button
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_TimeGUIMod(''setseglen'',''/2'');', ...
	'FontSize',12, ...
	'HandleVisibility','off', ...
	'Position',[xLenTxt yLine1 25 20], ...
	'String','/2', ...
	'Tag','Pushbutton1');
% Plot Length Edit Text
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','tsp_TimeGUIMod(''setseglen'',get(gcbo,''String''));', ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[xLenTxt+27 yLine1 79 20], ...
    'TooltipString',sprintf('Enter seconds\nMinutes, hours, and days can also be specified as "10m","4h" and so on'), ...
	'Style','edit', ...
	'Tag','EditSegLength');
% Plot Length '*2' Button
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_TimeGUIMod(''setseglen'',''*2'');', ...
	'FontSize',12, ...
	'HandleVisibility','off', ...
	'Position',[xLenTxt+108 yLine1 25 20], ...
	'String','*2', ...
	'Tag','Pushbutton1');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','right', ...
	'Position',[xPt3 yLine1-4 47 20], ...
	'String','Y Range:', ...
	'Style','text', ...
	'Tag','StaticText3');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_TimeGUIMod(''setyrange'',''/2'');', ...
	'FontSize',12, ...
	'HandleVisibility','off', ...
	'Position',[xPt3+50 yLine1 25 20], ...
	'String','/2', ...
	'Tag','Pushbutton1');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','tsp_TimeGUIMod(''setyrange'',get(gcbo,''String''));', ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','left', ...
	'Position',[xPt3+78 yLine1 90 20], ...
	'String','Auto', ...
    'TooltipString','Enter Y range', ...
	'Style','edit', ...
	'Tag','EditYRange');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_TimeGUIMod(''setyrange'',''*2'');', ...
	'FontSize',12, ...
	'HandleVisibility','off', ...
	'Position',[xPt3+171 yLine1 25 20], ...
	'String','*2', ...
	'Tag','Pushbutton1');
uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_TimeGUIMod(''toggleautoyrange'',get(gcbo,''value''));', ...
	'HandleVisibility','callback', ...
	'Position',[xPt3+199 yLine1 60 20], ...
	'String','Auto', ...
	'Style','checkbox', ...
	'Tag','CheckboxAutoYRange', ...
	'Value',1);
% Phase picks % Removed because there are lots of better picking GUIs
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'HandleVisibility','callback', ...
% 	'HorizontalAlignment','right', ...
% 	'Position',[xPt3 yLine2 37 12], ...
% 	'String','Picks:', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
%h1 = uicontrol('Parent',h0, ...
%	'Units','points', ...
%	'FontName','Helvetica', ...
%	'FontSize',9, ...
%	'HandleVisibility','callback', ...
%	'HorizontalAlignment','left', ...
%	'Position',[8 yLine3 665 12], ...
%	'String','Datafile Information:', ...
%	'Style','text');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'ForegroundColor',[0 1 0], ...
% 	'HandleVisibility','callback', ...
% 	'Position',[xPt3+40 yLine2+10 18 11], ...
% 	'String','p1', ...
% 	'Style','text', ...
% 	'Tag','apt_phase1label');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'ForegroundColor',[0 1 0], ...
% 	'HandleVisibility','callback', ...
% 	'Position',[xPt3+40 yLine2-1 18 11], ...
% 	'String','0', ...
% 	'Style','text', ...
% 	'Tag','apt_phase1picks');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'ForegroundColor',[1 0 0], ...
% 	'HandleVisibility','callback', ...
% 	'Position',[xPt3+65 yLine2+10 18 11], ...
% 	'String','p2', ...
% 	'Style','text', ...
% 	'Tag','apt_phase2label');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'ForegroundColor',[1 0 0], ...
% 	'HandleVisibility','callback', ...
% 	'Position',[xPt3+65 yLine2-1 18 11], ...
% 	'String','0', ...
% 	'Style','text', ...
% 	'Tag','apt_phase2picks');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'ForegroundColor',[1 0 1], ...
% 	'HandleVisibility','callback', ...
% 	'Position',[xPt3+90 yLine2+10 18 11], ...
% 	'String','p3', ...
% 	'Style','text', ...
% 	'Tag','apt_phase3label');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'ForegroundColor',[1 0 1], ...
% 	'HandleVisibility','callback', ...
% 	'Position',[xPt3+90 yLine2-1 18 11], ...
% 	'String','0', ...
% 	'Style','text', ...
% 	'Tag','apt_phase3picks');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'Callback','tsp_TimeGUIMod(''outputpicks'');', ...
% 	'HandleVisibility','callback', ...
% 	'Position',[xPt3+120 yLine2 42 18], ...
% 	'String','Output', ...
% 	'Visible','off', ...
% 	'Tag','apt_outputpicks');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'HorizontalAlignment','left', ...
% 	'HandleVisibility','callback', ...
% 	'Position',[xPt3+150 yLine2 102 12], ...
% 	'Style','text', ...
% 	'Tag','apt_pickfile');
if nargout > 0, fig = h0; end

ts_debug(1,'Exiting');
return;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function h = mkStatTxt(pos,str,fSize,par)
	h = uicontrol('Parent',par, ...
	'Units','points', ...
	'FontSize',fSize, ...
	'HandleVisibility','callback', ...
	'Position',pos, ...
	'String',str, ...
	'Style','text', ...
	'Tag','StaticText2'); 
